#include "Class.h"
#include "olcPixelGameEngine.h"
#include "DEFINES.h"
#include "Player.h"
#include "Effect.h"
#include "Crawler.h"

INCLUDE_MONSTER_LIST
INCLUDE_BULLET_LIST
INCLUDE_game

std::string Trapper::name="Trapper";
Class Trapper::cl=TRAPPER;
Ability Trapper::rightClickAbility={"???",15,0,VERY_DARK_BLUE,DARK_BLUE};
Ability Trapper::ability1={"???",12,40};
Ability Trapper::ability2={"???",15,50};
Ability Trapper::ability3={"???",40,60};
Ability Trapper::ability4={"???",0,0};
AnimationState Trapper::idle_n=WARRIOR_IDLE_N;
AnimationState Trapper::idle_e=WARRIOR_IDLE_E;
AnimationState Trapper::idle_s=WARRIOR_IDLE_S;
AnimationState Trapper::idle_w=WARRIOR_IDLE_W;
AnimationState Trapper::walk_n=WARRIOR_WALK_N;
AnimationState Trapper::walk_e=WARRIOR_WALK_E;
AnimationState Trapper::walk_s=WARRIOR_WALK_S;
AnimationState Trapper::walk_w=WARRIOR_WALK_W;

SETUP_CLASS(Trapper)

void Trapper::OnUpdate(float fElapsedTime){

}

bool Trapper::AutoAttack(){
    return false;
}
void Trapper::InitializeClassAbilities(){
    #pragma region Trapper Right-click Ability (???)
        Trapper::rightClickAbility.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Trapper Ability 1 (???)
        Trapper::ability1.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Trapper Ability 2 (???)
        Trapper::ability2.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Trapper Ability 3 (???)
        Trapper::ability3.action=
            [&](){
                return false;
            };
    #pragma endregion
}